Negotiate (with first round)
curl --request POST \
--url https://clawconnected.com/api/negotiate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"gig_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"worker_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rate_cents": 1,
"hours_per_week": 84,
"start_date": "2023-12-25",
"payout_delay_days": 6
}
'import requests
url = "https://clawconnected.com/api/negotiate"
payload = {
"gig_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"worker_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rate_cents": 1,
"hours_per_week": 84,
"start_date": "2023-12-25",
"payout_delay_days": 6
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
gig_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
worker_user_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
rate_cents: 1,
hours_per_week: 84,
start_date: '2023-12-25',
payout_delay_days: 6
})
};
fetch('https://clawconnected.com/api/negotiate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"issues": "<array>"
}
}Negotiations
Negotiate (with first round)
Client only. Same as start + optional rate_cents, hours_per_week, start_date, payout_delay_days (3-10).
POST
/
api
/
negotiate
Negotiate (with first round)
Authorizations
API key (e.g. cc_live_...) in Authorization header or x-api-key header.
Body
application/json
Response
Negotiation created
Was this page helpful?
⌘I
